Name:          java-jfree-librepository
Version:       1.1.3
Release:       2mamba
Summary:       a simple abstraction layer to access bulk content that is organized in a hierarchical layer
Group:         Development/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://community.hitachivantara.com/home
Source0:       http://sourceforge.net/projects/jfreereport/files/02.%20Libraries/%{version}-stable/librepository-%{version}.zip
Patch0:        java-jfree-librepository-1.1.3-build.patch
Patch1:        java-jfree-librepository-1.1.3-java11.patch
Patch2:        java-jfree-librepository-1.1.3-remove-ant-contrib-support.patch
Patch3:        java-jfree-librepository-1.1.3-remove-commons-logging.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
BuildRequires: apache-ant
Requires:      java-jfree-libbase
Requires:      javapackages

%description
LibRepository provides a simple abstraction layer to access bulk content that is organized in a hierarchical layer.
Unlike the JSR-000170, this library does not aim to solve all problems associated with content storages. The main purpose of LibRepository is to give users an astract view over an filesystem like structure so that content generator and content consumer do no longer have to make assumptions about where to store the generated content.
The repositories described here should not be used to store other things than BLOBs.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
LibRepository provides a simple abstraction layer to access bulk content that is organized in a hierarchical layer.
This package contains documentation for %{name}.

%prep
%setup -q -c
%patch0 -p1 -b .build
%patch1 -p1 -b .java11
%patch2 -p1 -b .remove-ant-contrib-support
%patch3 -p1 -b .remove-commons-logging

find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib libbase

%build
ant jar javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/librepository-%{version}.jar %{buildroot}%{_javadir}/librepository-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/librepository
cp -pr bin/javadoc/docs/api/* %{buildroot}%{_javadocdir}/librepository

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/librepository-%{version}.jar
%{_javadir}/librepository.jar
%doc licence-LGPL.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/librepository

%changelog
* Fri Dec 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-2mamba
- rebuilt without gcj and with java 11

* Sat Jan 22 2011 gil <puntogil@libero.it> 1.1.3-1mamba
- update to 1.1.3

* Wed Dec 09 2009 gil <puntogil@libero.it> 1.0.0-2mamba
- rebuilt

* Wed Dec 09 2009 gil <puntogil@libero.it> 1.0.0-1mamba
- update to 1.0.0

* Wed Dec 09 2009 gil <puntogil@libero.it> 0.1.1-1mamba
- package created by autospec
